# $Revision: 1.5 $, $Date: 2006/12/11 21:35:02 $
#
# Conditional build:
%bcond_with	dbus	# build with dbus support
#
Summary:	Core SynCE library
Summary(pl):	Podstawowa biblioteka SynCE
Name:		synce-libsynce
Version:	0.9.3
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://dl.sourceforge.net/synce/%{name}-%{version}.tar.gz
# Source0-md5:	9b793d1ef241fa7fca6ca7832b3b4811
Patch0:		%{name}-nolibs.patch
URL:		http://www.synce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1.4
# not sure which was OK, but doesn't build with 0.61
%{?with_dbus:BuildRequires:	dbus-devel < 0.35}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsynce is part of the SynCE project. It's required for (at least)
the following parts of the SynCE project: librapi2, dccmd.

%description -l pl
Biblioteka libsynce to cz projektu SynCE. Jest wymagana dla (co
najmniej) nastpujcych czci projektu: librapi2, dccmd.

%package devel
Summary:	Header files for libsynce library
Summary(pl):	Pliki nagwkowe biblioteki libsynce
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%{?with_dbus:Requires:	dbus-devel}

%description devel
Header files for libsynce library.

%description devel -l pl
Pliki nagwkowe biblioteki libsynce.

%package static
Summary:	Static libsynce library
Summary(pl):	Statyczna biblioteka libsynce
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libsynce library.

%description static -l pl
Statyczna biblioteka libsynce.

%prep
%setup -q -n libsynce-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_dbus:--enable-dbus}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_libdir}/libsynce.so.*.*.*
%{_mandir}/man1/synce.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libsynce.so
%{_libdir}/libsynce.la
%{_includedir}/synce*.h
%{_pkgconfigdir}/libsynce.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libsynce.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: synce-libsynce.spec,v $
Revision 1.5  2006/12/11 21:35:02  glen
- update to 0.9.3

Revision 1.4  2006/12/11 21:30:01  glen
- new URL

Revision 1.3  2006/05/18 13:17:03  qboosh
- updated to 0.9.2, added noslang patch

Revision 1.2  2005/10/23 22:39:44  prism
- updated to 0.9.1

Revision 1.1  2004/12/26 00:55:06  qboosh
- split from synce.spec for clean build
